If you’re concerned about which version of SAPCRYPTOLIB you should refer to the WHICH.TXT (that located in the .SAR file) for more details on “Which SAPCRYPTOLIB do I need to install?”.

If there are several different variants of SAPCRYPTOLIB for different flavours (32/64-bit) or different OS-Releases, then it depends on:

  (a) which OS-Release the other SAP component was built on

  (b) whether you’re using a platform where single- and multi-threaded executables and shared libraries cannot be mixed (such as Reliant Unix or HP/Compaq Tru64 aka Digital Unix), so that you have to additionally match single- and multi-threaded variants of SAP components and SAPCRYPTOLIBs.

To find out on which OS-Release the SAP Kernel disp+work was compiled on, call the “disp+work” executable from a command line shell without arguments and look at the first 20 lines of the output, e.g.:

                                     /usr/sap/<SID>/SYS/exe/run/disp+work   head -20

of particular interest would be lines like this:

  compiled on                   SunOS 5.8 Generic_108528-07 sun4u

  compiled for                  64 BIT

“compiled on” shows the exact OS-release on which the disp+work executable was compiled on. Use that information to pick the corresponding SAPCRYPTOLIB.

If SAP has shipped software for 32- and 64-bit variants of a Platform, then the presence of the “compiled for  … 64 BIT” line will indicate that this disp+work was compiled for 64-bit.  Choose the corresponding -32 or -64 variant of SAPCRYPTOLIB accordingly.

IMPORTANT:

>>> The SAPCRYPTOLIB has to fit the SAP Kernel you are using, not your operating system <<<

Additional Note:

A version of SAPCRYPTOLIB for AIX 7.1 is neither available, nor is there any need for such a version.

To report this post you need to login first.

Be the first to leave a comment

You must be Logged on to comment or reply to a post.

Leave a Reply